Bug 435754 - Unable to create new database for LinLog
Unable to create new database for LinLog
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: LinLog (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Robert 'Bob' Jensen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-03 13:13 EST by eric@christensenplace.us
Modified: 2008-10-15 22:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-23 21:44:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description eric@christensenplace.us 2008-03-03 13:13:38 EST
Description of problem: Cannot create a new database.


Version-Release number of selected component (if applicable): 0.3-4.fc8


Steps to Reproduce:
1. Start LinLog
2. Select FILE and then NEW DATABASE
3. Type in name of new database.
4. Press the "Open" button.

  
Actual results:
Pop up titled "New Database" appears with a message saying "Could not create
Database /home/xx/test.dblog"

Expected results:
A new database is created.
Comment 1 eric@christensenplace.us 2008-03-03 13:15:23 EST
(In reply to comment #0)
Also, just attempted the above while logged in as root, same result.
Comment 2 eric@christensenplace.us 2008-03-09 10:58:02 EDT
(In reply to comment #0)
Additional information.  When the software comes up it says at the bottom that
the database isn't started.  Not sure what database it is using or how to start it.
Comment 3 Robert 'Bob' Jensen 2008-03-14 12:01:36 EDT
I will look at this today and see what I can do to fix it. With out looking I
think it is set to use a sqllite db by default, we might have missed something
in the packaging. You know how to find me on IRC if you want to help trouble shoot.

73,

KC0WYC
Comment 4 Lucian Langa 2008-09-21 10:20:06 EDT
Hello Eric,

I wasn't able to reproduce this particular bug, not on F-8 nor on F-9
can you test this if still happens for you ?

Thank you.
Comment 5 antonio montagnani 2008-09-21 10:41:10 EDT
In rawhide it is o.k.
I have no access to an F9 machine until tomorrow
Comment 6 Robert 'Bob' Jensen 2008-09-21 15:32:14 EDT
(In reply to comment #4)
> Hello Eric,
> 
> I wasn't able to reproduce this particular bug, not on F-8 nor on F-9
> can you test this if still happens for you ?
> 
> Thank you.

Lucian,

We also have a new srpm that can be build and pushed to testing/rawhide.

https://fedoraproject.org/wiki/SIGs/AmateurRadio/Packages

http://dp67.fedorapeople.org/pkgs/SRPMS/LinLog-0.3.1-1.fc9.src.rpm

Thanks for all your help and 73,

Robert 'Bob' Jensen
Comment 7 eric@christensenplace.us 2008-09-21 16:24:42 EDT
I was able to create a database in the current release.  I cannot find the file  BaseTables.sql which is supposed to be part of the setup for the database.
Comment 8 Lucian Langa 2008-09-22 09:58:13 EDT
(In reply to comment #7)
> I was able to create a database in the current release.  I cannot find the file
>  BaseTables.sql which is supposed to be part of the setup for the database.

Eric is right, I will go ahead and repack new version and include this file.
Bob can you add acls for me on LinLog ? Lemme know if you prefer to do this yourself.

Thank you.
Comment 9 Fedora Update System 2008-09-22 14:34:49 EDT
LinLog-0.3.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/LinLog-0.3.1-1.fc9
Comment 10 Fedora Update System 2008-09-22 14:35:22 EDT
LinLog-0.3.1-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/LinLog-0.3.1-1.fc8
Comment 11 Robert 'Bob' Jensen 2008-09-22 17:57:06 EDT
Lucian thank you for building this and pushing it out for testing. hope to see it in the testing repo soon.
Comment 12 Fedora Update System 2008-10-15 22:06:06 EDT
LinLog-0.3.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2008-10-15 22:09:26 EDT
LinLog-0.3.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.